VERSION 5.00
Begin VB.Form Form1 
   AutoRedraw      =   -1  'True
   Caption         =   "Form1"
   ClientHeight    =   5790
   ClientLeft      =   120
   ClientTop       =   465
   ClientWidth     =   9045
   BeginProperty Font 
      Name            =   "Segoe UI"
      Size            =   12
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   ScaleHeight     =   5790
   ScaleWidth      =   9045
   StartUpPosition =   3  'Windows Default
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit


Private Sub Form_Load()
    Dim X As Long
        
    'calling this loads all monitor/display info
    LoadMonitors

    DrawWidth = 3

    'if first monitor (left,top) is negative, we adjust so it doesnt print offscreen
    'we are drawing everything at a 15% scale
    lngAdjustX = (Abs(Monitors(MonitorOrder(0)).Left) / 15) + 1000
    lngAdjustY = (Abs(Monitors(MonitorOrder(0)).Top) / 15) + 1000

    'draw each monitor on screen in the physical order the user has indicated in display properties
    For X = 0 To MonitorCount - 1
        With Monitors(MonitorOrder(X))
            'draw the monitor
            DrawRectangle Me, .Left / 15, .Top / 15, .Width / 15, .Height / 15, vbGreen
                        
            'print the monitor size
            Me.FontSize = 10
            CurrentX = ((.Left / 15) + lngAdjustX)
            CurrentY = ((.Top / 15) + lngAdjustY)
            Print CStr(.Width / .TwipsX) & " x "
            CurrentX = ((.Left / 15) + lngAdjustX)
            CurrentY = ((.Top / 15) + lngAdjustY) + TextHeight("W")
            Print CStr(.Height / .TwipsY)


            'print the monitor number
            Me.FontSize = 18
            CurrentX = ((.Left / 15) + lngAdjustX) + ((.Width / 15) / 2)
            CurrentY = ((.Top / 15) + lngAdjustY) + ((.Height / 15) / 2)
            Print CStr(MonitorOrder(X))
        End With
    Next X

    'draw the virtual screen
    With Monitors(MonitorOrder(0))
        'we increase each value a little so that the rectangle appears outside of the monitor drawings
        DrawRectangle Me, VirtualScreenLeft - 25, VirtualScreenTop - 20, VirtualScreenWidth + 60, VirtualScreenHeight + 60, vbRed

        'mark the virtual screen
        Me.FontSize = 12
        CurrentX = ((.Left / 15) + lngAdjustX) + (((.Width / 15) / 2) + lngAdjustX / 2)
        CurrentY = ((.Top / 15) + lngAdjustY) - Me.TextHeight("V")
        Print "Virtual Screen " & CStr(VirtualScreenWidth) & " x " & CStr(VirtualScreenHeight)

    End With
End Sub
